Name:           perl-Font-AFM
Version:        1.20
Release: 	    1
Summary:        Perl interface to Adobe Font Metrics files
License:	    (GPL+ or Artistic) and Copyright only
URL:		    https://metacpan.org/release/Font-AFM
Source0:	    https://cpan.metacpan.org/authors/id/G/GA/GAAS/Font-AFM-%{version}.tar.gz

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  urw-base35-fonts

%description
Interface to Adobe Font Metrics files

%prep
%setup -q -n Font-AFM-%{version}
sed -i -e 's,Helvetica,NimbusSans-Bold,g' t/afm.t
sed -i -e 's,4279,4558,g' t/afm.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test METRICS=%{_fontbasedir}/urw-base35

%files
%doc Changes README
%{perl_vendorlib}/Font
%{_mandir}/man3/Font*

%changelog
* Mon May 30 2022 misaka00251 <misaka00251@misakanet.cn> - 1.20-1
- Init package (Thanks to fedora team)
